package linux

import (
	"errors"
)

type LinuxCommand struct {
	Options CommandOptions
}

type CommandOptions struct {
	Env     map[string]string
	Sources map[string]string
	Command string
	Args    []string
	Cwd     string
	Shell   string
}

// Errors
var (
	ErrFetchingCwd          = errors.New("error fetching cwd")
	ErrRunningCmd           = errors.New("error running command")
	ErrCommandNotFound      = errors.New("error command not found")
	ErrCommandNotExecutable = errors.New("error command not executable")
)
